# frozen_string_literal: true

require_relative 'punctuation_name/version'
require_relative 'punctuation_name/overloads'
require_relative 'punctuation_name/dicts/uk.rb'
require_relative 'punctuation_name/dicts/us.rb'

#
# Add docs
#
module PunctuationName
    #
    # To go here
    #
    class Punctuation
        $dict = {}

        def self.setup
            $dict['uk'] = UK_NAMES
            $dict['us'] = US_NAMES
        end

        def self.custom(name, dict)
            $dict[name] = dict
        end

        def self.name_from_dictionary(punctuation, dict)
            dict.key?(punctuation) ? dict[punctuation] : punctuation
        end

        def self.name(punctuation, dict_name = 'uk')
            setup

            dict_name = 'uk' if dict_name.empty?

            return punctuation unless $dict.key?(dict_name)

            name_from_dictionary(punctuation, $dict[dict_name])
        end
    end
end
